http://synthetics.{region}.amazonaws.com/resource/{resourceArn}/groupsReturns a list of the groups that the specified canary is associated with. The canary that you specify must be in the current Region.
The ARN of the canary that you want to view groups for.
Pagination limit
Pagination token
A token that indicates that there is more data available. You can use this token in a subsequent operation to retrieve the next set of results.
Specify this parameter to limit how many groups are returned each time you use the <code>ListAssociatedGroups</code> operation. If you omit this parameter, the default of 20 is used.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://synthetics.{region}.amazonaws.com/resource/{resourceArn}/groups' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://synthetics.{region}.amazonaws.com/resource/{resourceArn}/groupsReturns a list of the groups that the specified canary is associated with. The canary that you specify must be in the current Region.
The ARN of the canary that you want to view groups for.
Pagination limit
Pagination token
A token that indicates that there is more data available. You can use this token in a subsequent operation to retrieve the next set of results.
Specify this parameter to limit how many groups are returned each time you use the <code>ListAssociatedGroups</code> operation. If you omit this parameter, the default of 20 is used.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://synthetics.{region}.amazonaws.com/resource/{resourceArn}/groups' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}